質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.34%

  • Ruby

    8191questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails 5

    2166questions

rails serverが実行されない。

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 169

b_b_b

score 17

rails server を実行しようとすると、以下のようなエラー文が出力されるようになりました。
心当たりとしては、間違えてbundle install --path vendor/bundlerを実行してしまい、処理途中にCtrl+cで中断させてしまった事です。
正常にrails serverを実行するには、どのような処理方法がありますでしょうか?

エラーメッセージ

/System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/rubygems/dependency.rb:319:in `to_specs': Could not find 'nokogiri' (>= 1.5.9) - did find: [nokogiri-1.5.6] (Gem::LoadError)

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

もう一度、bundle install --path vendor/bundlerを実行してから、bundle exec rails serverもしくは./bin/rails serverを実行してみるといかがでしょうか。

エラーメッセージについては、bundlerを経由せずに実行しようとして、必要なライブラリのnokogiriが見つからない、という状況かと思います。Gemfile.lockにnokogiriが書かれているはずです。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/07/27 00:57

    回答ありがとうございます。
    自分で手探りで対処していた結果、
    sudo rm -rf /Library/Ruby/Gems/*;
    を実行し、そのあとに
    sudo gem update --system
    をおこなおうと思ったのですが、処理途中でエラーが起こってしまいました。
    その後、bundle installを実行しても、以下のようなエラーが出てしまい先に進みません。。
    /Library/Ruby/Site/2.3.0/rubygems.rb:289:in `find_spec_for_exe': can't find gem bundler (>= 0.a) with executable bundle (Gem::GemNotFoundException)
    from /Library/Ruby/Site/2.3.0/rubygems.rb:263:in `bin_path'
    from /usr/local/bin/bundle:22:in `<main>'

    キャンセル

  • 2018/07/27 00:58

    gem install bundlerを行い、bundler -vでバージョンが確認できる状況です。

    キャンセル

  • 2018/07/27 01:10

    which ruby && ruby -v の実行結果は何が表示されますか?
    また、bundler -vの実行結果はどうでしょうか。

    キャンセル

  • 2018/07/27 04:35

    which ruby↓
    /Users/[PC名]/.rbenv/shims/ruby
    ruby -v ↓
    ruby 2.4.1p111 (2017-03-22 revision 58053) [x86_64-darwin17]
    bundler -v ↓
    Bundler version 1.16.3
    以上のようになっています。

    キャンセル

  • 2018/07/27 04:57

    rails -vを行うと、
    /Library/Ruby/Site/2.3.0/rubygems.rb:289:in `find_spec_for_exe': can't find gem railties (>= 0.a) with executable rails (Gem::GemNotFoundException)
    from /Library/Ruby/Site/2.3.0/rubygems.rb:263:in `bin_path'
    from /usr/local/bin/rails:22:in `<main>'
    というメッセージが出力されます。。

    キャンセル

  • 2018/07/27 07:36

    rbenv rehash等を行うとrails serverが動くようになりました。
    ご回答ありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.34%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る

  • Ruby

    8191questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails 5

    2166questions